%define piname	aisradar_pi
%define uname	radar_pi

Name:		opencpn-ais-radar-plugin
Summary:	AIS radar view plugin for OpenCpn
Version:	1.2.6.0
Release:	%mkrel 2
License:	GPLv2
Group:		Geography
URL:		https://github.com/Verezano/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz
Patch0:		opencpn-ais-radar-plugin-1.2.6.0-pkgconfig_gtk3.patch

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements a radar-like display for AIS targets.

%prep
%autosetup -p1 -n %{uname}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/aisview.svg
%{_datadir}/opencpn/plugins/%{piname}/data/aisview_panel_icon.png


%changelog
* Fri Jan 01 2021 wally <wally> 1.2.6.0-2.mga8
+ Revision: 1667707
- rebuild for wxgtk pre 3.1.5 snapshot

* Wed Dec 09 2020 barjac <barjac> 1.2.6.0-1.mga8
+ Revision: 1655047
- new version 1.2.6.0
- patch to build with gtk3
- new files added

* Sun Aug 16 2020 wally <wally> 1.2.1-2.mga8
+ Revision: 1614348
- rebuild for new wxgtk 3.1.4

* Mon Jul 13 2020 barjac <barjac> 1.2.1-1.mga8
+ Revision: 1605719
- new version 1.2.1

* Tue Feb 18 2020 daviddavid <daviddavid> 1.0-9.mga8
+ Revision: 1539503
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.0-8.mga8
+ Revision: 1459473
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.0-7.mga8
+ Revision: 1421012
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.0-6.mga7
+ Revision: 1299990
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.0-5.mga7
+ Revision: 1239494
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 1.0-4.mga6
+ Revision: 1106106
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.0-3.mga6
+ Revision: 1019826
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.0-2.mga6
+ Revision: 962305
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 908762
- new package opencpn-ais-radar-plugin

